Re:Updater

Avoid polluting your library and those of your users with multiple updaters.


Description

Re:Updater!

Re:Updater is a shortcut that allows you to use any Updater that the user has chosen. Re:Updater is not an updater, it is the middle between your shortcut and the updater. The advantage of this shortcut is for the user, it avoids having several updaters doing the same thing.

How to integrate it:

You need a dictionary exactly the same as the UpdateKit Dictionary. Here is what you need to have in your dictionary: Integration

Updater supported:

  • UpdateKit
  • JustUpdate
  • Swing Updater
  • iGotUpdate
  • LightningUpdate
  • Updates Check Auto
  • QuickUpdate
  • PeeWee Update
  • EasyUpdater SF
  • iUpdate
  • Speedy Update
  • UltraUpdate

Language supported:

  • العربية
  • 粵語
  • Català
  • 简体中文
  • 繁體中文
  • Nederlands
  • English
  • Français
  • Deutsch
  • Italian
  • 日本語
  • 한국어
  • Polski
  • Português
  • русский
  • Español

Note: Several languages have been translated by translators, so if you find any translation errors, let me know in the comments.

Theme:

The theme adapts if the dark mode is enabled or not Theme

These shortcuts support Re:Updater:

Credit :

  • The original concept comes from UpdateConverter of zachary7829
  • The menus were made with vCard Menu Creator
  • Thanks D3W10 for the Portuguese translation
  • Thanks ChrisChan for the Cantonese translation (Use Dank Memer)
  • Thanks dante_nl for the Dutch translation

Disclamer:

I know there is UpdateConverter, but I talked to the creator and he doesn't mind. There is no competition between us.


Latest Release Notes

1.2.5 - Jan. 19, 2020, 8:07 a.m.

Available in 8 new languages
(Translations have been made from translator, so if you find the translation from a dubious language, please contact me and help to improve the shortcut)

⚠️ ATTENTION: THOSE WHO HAD CANTONESE AS A LANGUAGE IN THE SHORTCUT, PLEASE CHANGE IT TO ANOTHER LANGUAGE BEFORE UPDATING OR ELSE YOU WILL HAVE SOME PROBLEMS.


Past versions